﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Drawing;

public partial class Default38 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        rcTechnicalDesignSpend.DataBound += new EventHandler(rcTechnicalDesignSpend_DataBound);

        DataTable tbl = new DataTable();
        DataColumn col = new DataColumn("Value");
        col.DataType = typeof(int);
        tbl.Columns.Add(col);
        col = new DataColumn("Name");
        col.DataType = typeof(string);
        tbl.Columns.Add(col);

        tbl.Rows.Add(new object[] { 1, "Company" });
        tbl.Rows.Add(new object[] { 4, "Average" });
        tbl.Rows.Add(new object[] { 5, "Max" });


        rcTechnicalDesignSpend.DataSource = tbl;
        rcTechnicalDesignSpend.DataGroupColumn = "Name";
        rcTechnicalDesignSpend.PlotArea.XAxis.DataLabelsColumn = "Value";
        rcTechnicalDesignSpend.PlotArea.YAxis.MaxValue = 0;
        rcTechnicalDesignSpend.Legend.Appearance.GroupNameFormat = "#VALUE";
        rcTechnicalDesignSpend.DataBind();

    }

    void rcTechnicalDesignSpend_DataBound(object sender, EventArgs e)
    {
        Color[] colors = new Color[] { Color.Red, Color.Green, Color.Blue };
        string[] shapes = new string[] { "Rectangle", "Triangle", "Ellipse" };
        for (int i = 0; i < rcTechnicalDesignSpend.Series.Count; i++)
        {
            rcTechnicalDesignSpend.Series[i].Appearance.FillStyle.FillType = Telerik.Charting.Styles.FillType.Solid;
            rcTechnicalDesignSpend.Series[i].Appearance.FillStyle.MainColor = colors[i];
            rcTechnicalDesignSpend.Series[i].Appearance.PointShape = shapes[i];
        }
    }
}
